# punx - Python Utilities for NeXus HDF5 files

GitHub | PyPI | conda-forge
--- | --- | ---
[![tag](https://img.shields.io/github/tag/prjemian/punx.svg)](https://github.com/prjemian/punx/tags) [![release](https://img.shields.io/github/release/prjemian/punx.svg)](https://github.com/prjemian/punx/releases) | [![PyPi](https://img.shields.io/pypi/v/punx.svg)](https://pypi.python.org/pypi/punx) | [![conda-forge](https://img.shields.io/conda/vn/conda-forge/punx)](https://anaconda.org/conda-forge/punx) [![Conda Downloads](https://img.shields.io/conda/dn/conda-forge/punx.svg)](https://anaconda.org/conda-forge/punx)

Python version(s) | Unit Tests | Code Coverage | License
--- | --- | --- | ---
[![Python version](https://img.shields.io/pypi/pyversions/punx.svg)](https://pypi.python.org/pypi/punx) | [![Unit Tests](https://github.com/prjemian/punx/workflows/Unit%20Tests/badge.svg)](https://github.com/prjemian/punx/actions/workflows/unit_tests.yml) | [![Coverage Status](https://coveralls.io/repos/github/prjemian/punx/badge.svg?branch=main)](https://coveralls.io/github/prjemian/punx?branch=main) | [![license: CCA4](https://img.shields.io/badge/license-CCA4-darkblue)](/LICENSE.txt)

## [Documentation](https://prjemian.github.io/punx)

The *punx* package provides these features:

- Validate NeXus HDF5 data files
- Choose the NeXus [release](https://github.com/nexusformat/definitions/releases) to use for validation
- Validate NeXus NXDL files
- Display NeXus HDF5 data file structure
- Display NeXus class hierarchy (stretch goal, graphical output)


## Package Details

- author:   Pete R. Jemian
- email:   <prjemian@gmail.com>
- copyright:   2014-2022, Pete R. Jemian
- license:   Creative Commons Attribution 4.0 International Public License (see [LICENSE.txt](punx/LICENSE.txt))
- URL:   <https://prjemian.github.io/punx>
- git:   <https://github.com/prjemian/punx>
- issues:   <https://github.com/prjemian/punx/issues>
- citation:   [![DOI: 10.5281/zenodo.1471686](https://zenodo.org/badge/DOI/10.5281/zenodo.1471686.svg)](https://doi.org/10.5281/zenodo.1471686)
